Loading...
Searching...
No Matches
size_list_interpreter Struct Reference
Inheritance diagram for size_list_interpreter:

## Public Member Functions

| size_list_interpreter (const int max_num_elements, int &num_elements, ojph::size *list)
virtual void | operate (const char *str)

## Public Attributes

const int | max_num_eles
ojph::size * | sizelist
int & | num_eles

## Detailed Description

Definition at line 51 of file ojph_compress.cpp.

## Constructor & Destructor Documentation

## size_list_interpreter()

size_list_interpreter::size_list_interpreter | ( | const int | max_num_elements,
|  | int & | num_elements,
|  | ojph::size * | list )

inline

Definition at line 53 of file ojph_compress.cpp.

References max_num_eles, num_eles, and sizelist.

## Member Function Documentation

## operate()

virtual void size_list_interpreter::operate | ( | const char * | str | ) |

inline virtual

Implements ojph::cli_interpreter::arg_inter_base.

Definition at line 58 of file ojph_compress.cpp.

References max_num_eles, num_eles, and sizelist.

## Member Data Documentation

## max_num_eles

const int size_list_interpreter::max_num_eles

Definition at line 102 of file ojph_compress.cpp.

Referenced by operate(), and size_list_interpreter().

## num_eles

int& size_list_interpreter::num_eles

Definition at line 104 of file ojph_compress.cpp.

Referenced by operate(), and size_list_interpreter().

## sizelist

ojph::size* size_list_interpreter::sizelist

Definition at line 103 of file ojph_compress.cpp.

Referenced by operate(), and size_list_interpreter().

The documentation for this struct was generated from the following file:

- /build/openjph-ErJ8t3/openjph-0.26.0/src/apps/ojph_compress/ojph_compress.cpp